Skip to main content
Nowledge MemNowledge Mem

Get Reindex Status

GET
/memories/reindex/status

Get status of memories needing reindex.

Query Parameters

include_ids?Include Ids

Include all memory IDs needing reindex

Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://example.com/memories/reindex/status"
{  "all_memory_ids": [    "string"  ],  "count_needing_reindex": 0,  "has_memories_needing_reindex": true,  "sample_memories": [    {      "id": "string",      "last_reindexed_at": "string",      "title": "string",      "updated_at": "string"    }  ]}